=== debian/changelog ===
kradio4 (4.0.7+git20140816-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 22:10:41 +0100

kradio4 (4.0.7+git20140816-1) unstable; urgency=medium

  * New upstream Git snapshot:
    - fix sound playback with Internet radios. (Closes: #750779)
  * Bump Standards-Version to 3.9.5, no changes required.
  * Enable the parallel build.
  * Add myself to Uploaders.
  * Add the libavresample-dev build dependency.
  * Fix removal of empty /usr/sbin.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Aug 2014 12:49:07 +0200
