=== debian/control ===
Source: kradio4
Section: sound
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
 Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
 kdelibs5-dev (>= 4:4.2.0), gettext, libsndfile1-dev, liblircclient-dev,
 libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libavresample-dev,
 libglib2.0-dev, libboost-dev,
 libmp3lame-dev, libasound2-dev [linux-any]
Standards-Version: 3.9.5
Homepage: http://kradio.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kradio4/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/


Package: kradio4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: comfortable radio application for KDE
 KRadio is a comfortable radio application for KDE 4.x with support for
 V4L and V4L2 radio cards drivers.
 .
 KRadio currently provides:
 .
   * V4L/V4L2 radio support
   * Remote control support (LIRC)
   * Alarms, sleep Countdown
   * Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
   * Recording capabilities, including MP3, Ogg/Vorbis, and WAV encoding
   * Timeshifter functionality
   * Extendable plugin architecture
 .
 This package also includes a growing collection of station preset
 files for many cities around the world contributed by KRadio users.
 .
 As KRadio is based on an extendable plugin architecture, contributions
 of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

Package: kradio
Architecture: all
Depends: ${misc:Depends}, kradio4
Description: dummy transition package for Wheezy
 This is a dummy transition package and can be safely removed.
 .
 It can also be removed from the Debian package once Wheezy is released.
