=== debian/changelog ===
kradio4 (4.0.8-2) unstable; urgency=medium

  * Drop menu file and its pixmap, since kradio4 already provides a .desktop
    file.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Drop the transitional kradio package, available as such in Wheezy and
    Jessie.
  * Make kradio4 provide kradio.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Jan 2016 17:44:10 +0100

kradio4 (4.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdelibs5-dev build dependency to >= 4.7.0, as indicated
    in the upstream build system.
  * Ignore failure when removing /usr/sbin (might not exist).

 -- Pino Toscano <pino@debian.org>  Sun, 28 Sep 2014 13:06:53 +0200
