=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Mark Purcell <msp@debian.org>,
  Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
- kdelibs5-dev (>= 4:4.2.0), gettext, libsndfile1-dev, liblircclient-dev,
+ kdelibs5-dev (>= 4:4.7.0), gettext, libsndfile1-dev, liblircclient-dev,
  libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libavresample-dev,
  libglib2.0-dev, libboost-dev,
  libmp3lame-dev, libasound2-dev [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://kradio.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kradio4/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/
@@ -18,6 +18,7 @@
 Package: kradio4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: kradio
 Description: comfortable radio application for KDE
  KRadio is a comfortable radio application for KDE 4.x with support for
  V4L and V4L2 radio cards drivers.
@@ -37,11 +38,3 @@
  .
  As KRadio is based on an extendable plugin architecture, contributions
  of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.
-
-Package: kradio
-Architecture: all
-Depends: ${misc:Depends}, kradio4
-Description: dummy transition package for Wheezy
- This is a dummy transition package and can be safely removed.
- .
- It can also be removed from the Debian package once Wheezy is released.
