=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,8 @@
 	dh_auto_configure --buildsystem=kde -- $(CONFIGURE_ARGS)
 
 override_dh_auto_install:
-	dh_auto_install --buildsystem=kde --destdir=debian/kradio4
-	install -D -p -m0644 debian/kradio4.xpm \
-	    debian/kradio4/usr/share/pixmaps/kradio4.xpm
-	rmdir $(CURDIR)/debian/kradio4/usr/sbin
+	dh_auto_install --buildsystem=kde
+	-rmdir $(CURDIR)/debian/kradio4/usr/sbin
 	# remove useless documentation shipped upstream
 	rm -f \
 	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/COPYING \
@@ -27,7 +25,3 @@
 	rm -f $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/ChangeLog
 
 .PHONY: override_dh_auto_test
-
-debian/kradio4.xpm: icons/hi32-app-kradio4.png
-	convert $< $@
-
