## kradio4 4.0.8+git20160618

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,14 @@
 project(kradio4)
+
+cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
+if(POLICY CMP0059)
+    cmake_policy(SET CMP0059 OLD)
+endif()
+if(POLICY CMP0064)
+    cmake_policy(SET CMP0064 OLD)
+endif()
+
+list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 find_package(KDE4 4.7.0 REQUIRED)
 include (KDE4Defaults)
@@ -22,9 +32,23 @@
 
 ########################################################################
 
+find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
+if(NOT GETTEXT_MSGFMT_EXECUTABLE)
+    message(STATUS "msgfmt not found. Translations will *not* be installed")
+endif()
+include(MacroProcessPoFiles)
+
+########################################################################
+
 ADD_DEFINITIONS (
-    -DKRADIO_VERSION="\\"${KRADIO_VERSION}\\""
+    -DKRADIO_VERSION="${KRADIO_VERSION}"
     ${KDE4_DEFINITIONS}
+    -DQT_STRICT_ITERATORS
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_USE_FAST_OPERATOR_PLUS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_TO_ASCII
 )
 
 option(WITH_KRADIO_FIXMES "Enable FIXME warnings" OFF)
@@ -32,14 +56,14 @@
     ADD_DEFINITIONS( -DKRADIO_ENABLE_FIXMES )
 ENDIF(WITH_KRADIO_FIXMES)
 
-LINK_DIRECTORIES(
-    ${Boost_LIBRARY_DIRS}
-)
+option(WITH_KRADIO_PROFILERS "Enable the runtime profilers" OFF)
+if(WITH_KRADIO_PROFILERS)
+    add_definitions(-DKRADIO_ENABLE_PROFILERS)
+endif()
 
 INCLUDE_DIRECTORIES(
-    ${KDE4_INCLUDE_DIR}
-    ${QT_INCLUDE_DIR}
-    ${QT_INCLUDE_DIR}/QtCore
+    ${KDE4_INCLUDES}
+    ${QT_INCLUDES}
     ${Boost_INCLUDE_DIRS}
     ${CMAKE_CURRENT_BINARY_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/src
@@ -50,8 +74,6 @@
 SET(INSTALL_TARGETS_DEFAULT_ARGS RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                  LIBRARY DESTINATION "${LIB_INSTALL_DIR}/kradio4/plugins"
 )
-
-KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )
 
 
 
@@ -67,13 +89,6 @@
 ########################################################################
 #     The lines below only affect the executable, no plugins!          #
 ########################################################################
-
-ADD_DEFINITIONS(
-    -DQT3_SUPPORT
-    -DKDE3_SUPPORT
-    -DQT3_SUPPORT_WARNINGS
-)
-
 
 file(GLOB kradio_radiostation_sources
     ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.cpp
@@ -111,9 +126,8 @@
 
 TARGET_LINK_LIBRARIES(kradio4
   ${KDE4_KDEUI_LIBS}
-  ${QT_QT3SUPPORT_LIBRARY}
-  ${KDE4_KDE3SUPPORT_LIBRARY}
-  ${Boost_LIBRARIES}
+  ${QT_QTXML_LIBRARY}
+  ${KDE4_KIO_LIBRARY}
 )
 
 INSTALL(TARGETS kradio4 ${INSTALL_TARGETS_DEFAULT_ARGS})
@@ -122,14 +136,10 @@
     README
     README.PVR
     README.your-help-is-wanted
-    README.translations
     ChangeLog
-    TODO
     AUTHORS
     COPYING
     FAQ
-    INSTALL
-    REQUIREMENTS
 )
 
 INSTALL(
