=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,59 +1,33 @@
 project(kradio4plugins)
 
-# search packages used by KDE
-find_package(KDE4 REQUIRED)
-include (KDE4Defaults)
-include (FindPkgConfig)
-include (MacroLibrary)
+find_package(PkgConfig)
 
-include(CheckIncludeFile)
 include(CheckIncludeFileCXX)
+include(CheckLibraryExists)
 
 ###############################################################################
 
 option(WITH_ALSA "Compile with alsa support" ON)
 
 IF(WITH_ALSA)
-    SET (ALSA_LIBRARY_DIRS  "")
-    SET (ALSA_INCLUDE_DIRS  "")
-    SET (ALSA_LIBRARIES     "")
+    find_package(ALSA)
 
-    pkg_check_modules(LIBASOUND alsa)
-    IF(LIBASOUND_FOUND)
-        SET(HAVE_AVFORMAT_INC ON)
-        SET(HAVE_AVFORMAT_LIB ON)
-
-        SET(ALSA_LIBRARY_DIRS ${ALSA_LIBRARY_DIRS} ${LIBASOUND_LIBRARY_DIRS})
-        SET(ALSA_LIBRARIES    ${ALSA_LIBRARIES}    ${LIBASOUND_LIBRARIES}   )
-        SET(ALSA_INCLUDE_DIRS ${ALSA_INCLUDE_DIRS} ${LIBASOUND_INCLUDE_DIRS})
-
-    ELSE(LIBASOUND_FOUND)
-        CHECK_INCLUDE_FILE_CXX(alsa/asoundlib.h      HAVE_ALSA_INC)
-        CHECK_LIBRARY_EXISTS(asound snd_card_next "" HAVE_ALSA_LIB)
-        IF (HAVE_ALSA_INC AND HAVE_ALSA_LIB)
-            SET(LIBASOUND_FOUND ON)
-            SET(ALSA_LIBRARIES    "asound" ${ALSA_LIBRARIES})
-        ENDIF(HAVE_ALSA_INC AND HAVE_ALSA_LIB)
-    ENDIF(LIBASOUND_FOUND)
-
-    IF(NOT LIBASOUND_FOUND)
+    IF(NOT ALSA_FOUND)
 
         SET(WITH_ALSA OFF
             CACHE BOOL "alsa files could not be found on this system. Forcing this option to OFF"
             FORCE)
         MESSAGE("WARNING: alsa files could not be found on this system. Compiling without alsa support")
 
-    ENDIF(NOT LIBASOUND_FOUND)
+    ENDIF(NOT ALSA_FOUND)
 ENDIF(WITH_ALSA)
 
 
 IF (WITH_ALSA)
     message(STATUS "   Compiling with ALSA support")
     message(STATUS "       ALSA_INCLUDE_DIRS = ${ALSA_INCLUDE_DIRS}")
-    message(STATUS "       ALSA_LIBRARY_DIRS = ${ALSA_LIBRARY_DIRS}")
     message(STATUS "       ALSA_LIBRARIES    = ${ALSA_LIBRARIES}")
     message(STATUS "   Compiling with alsa support")
-    add_definitions( -DHAVE_ALSA )
 ELSE(WITH_ALSA)
     message(STATUS "   Compiling without ALSA support")
 ENDIF(WITH_ALSA)
@@ -67,22 +41,21 @@
 option(WITH_LIRC "Compile with LIRC support" ON)
 
 IF(WITH_LIRC)
-    CHECK_INCLUDE_FILE_CXX(lirc/lirc_client.h HAVE_LIRC_INC)
-    CHECK_LIBRARY_EXISTS(lirc_client lirc_init "" HAVE_LIRC_LIB)
-    IF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)
+    find_package(LircClient)
+
+    IF(NOT LircClient_FOUND)
 
         SET(WITH_LIRC OFF
             CACHE BOOL "LIRC files could not be found on this system. Forcing this option to OFF"
             FORCE)
         MESSAGE("WARNING: LIRC files could not be found on this system. Compiling without LIRC support")
 
-    ENDIF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)
+    ENDIF(NOT LircClient_FOUND)
 ENDIF(WITH_LIRC)
 
 
 IF (WITH_LIRC)
     message(STATUS "   Compiling with LIRC support")
-    add_definitions( -DHAVE_LIRC )
 ELSE(WITH_LIRC)
     message(STATUS "   Compiling without LIRC support")
 ENDIF(WITH_LIRC)
@@ -145,35 +118,14 @@
     ENDIF(NOT LIBAVCODEC_VERSION LESS 53.42.0)
 
 
-    pkg_check_modules(LIBMMS libmms)
-    IF(LIBMMS_FOUND)
-        SET(LIBMMS_MIN_VERSION 0.5)
-        IF(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
-            SET(HAVE_MMSX_INC ON)
-            SET(HAVE_MMSX_LIB ON)
+    find_package(Libmms 0.5)
 
-            SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBMMS_LIBRARY_DIRS})
-            SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBMMS_LIBRARIES}   )
-            SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBMMS_INCLUDE_DIRS})
-        ELSE(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
-            MESSAGE("WARNING: found libmms " ${LIBMMS_VERSION} ", however, version >= " LIBMMS_MIN_VERSION " required")
-            SET(LIBMMS_FOUND false)
-        ENDIF(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
-    ELSE(LIBMMS_FOUND)
-        CHECK_INCLUDE_FILE("libmms/mmsx.h"       HAVE_MMSX_INC)
-        CHECK_LIBRARY_EXISTS(mms mmsx_connect "" HAVE_MMSX_LIB)
-        IF (HAVE_MMSX_INC AND HAVE_MMSX_LIB)
-            SET(LIBMMS_FOUND ON)
-            SET(FFMPEG_LIBRARIES "mms" ${FFMPEG_LIBRARIES})
-        ENDIF(HAVE_MMSX_INC AND HAVE_MMSX_LIB)
-    ENDIF(LIBMMS_FOUND)
-
-    IF ( NOT LIBMMS_FOUND OR NOT LIBAVFORMAT_FOUND )
+    IF ( NOT Libmms_FOUND OR NOT LIBAVFORMAT_FOUND )
         SET(WITH_FFMPEG OFF
             CACHE BOOL "libffmpeg and/or libmms files could not be found on this system. Forcing this option to OFF"
             FORCE)
         MESSAGE("WARNING: libffmpeg and/or libmms files could not be found on this system. Compiling without Internet Radio Stations support")
-    ENDIF( NOT LIBMMS_FOUND OR NOT LIBAVFORMAT_FOUND )
+    ENDIF( NOT Libmms_FOUND OR NOT LIBAVFORMAT_FOUND )
 
 ENDIF(WITH_FFMPEG)
 
@@ -183,14 +135,14 @@
     message(STATUS "       FFMPEG_INCLUDE_DIRS = ${FFMPEG_INCLUDE_DIRS}")
     message(STATUS "       FFMPEG_LIBRARY_DIRS = ${FFMPEG_LIBRARY_DIRS}")
     message(STATUS "       FFMPEG_LIBRARIES    = ${FFMPEG_LIBRARIES}")
+    message(STATUS "       Libmms_INCLUDE_DIRS = ${Libmms_INCLUDE_DIRS}")
+    message(STATUS "       Libmms_LIBRARIES    = ${Libmms_LIBRARIES}")
 
     IF(HAVE_AVFORMAT_OLD_INC)
         add_definitions( -DHAVE_FFMPEG_OLD )
     ELSE(HAVE_AVFORMAT_OLD_INC)
         add_definitions( -DHAVE_FFMPEG -D__STDC_CONSTANT_MACROS )
     ENDIF(HAVE_AVFORMAT_OLD_INC)
-
-    add_definitions( -DHAVE_MMS )
 ELSE(WITH_FFMPEG)
     message(STATUS "   Compiling without Internet Radio Stations (libffmpeg, libmms) support")
 ENDIF(WITH_FFMPEG)
