=== debian/changelog ===
kradio4 (4.0.8+git20160618-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 23:40:25 +0200

kradio4 (4.0.8+git20160325-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * Remove /usr/sbin handling from rules, since the upstream debian directory
    now is in a subdirectory.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Use https for the Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 09:46:16 +0100
